无需配置

Moses Skoda工程师预计阅读 1 分钟

API 返回 409 Conflict 时,会附带此错误详情。其 type 为 https://lingo.dev/docs/api/errors/nothing-to-provision。所有错误的通用结构见错误和状态码。

此引擎的每种类型都已有集合,无需再补充。选择一种类型,即可在引擎当前应用的集合之外再添加一个集合。

字段#

除标准的 type、status、title 和 detail 成员外,响应体还包含以下字段。detail 文本根据这些字段生成,因此客户端也可以显示自定义文本。

字段类型
reason"everyKindHeld" | "brandVoiceHeld" | "nothingFailed" | "failedSinceHeld"

示例#

json
{
  "detail": "Every kind already has a set on this engine, so there is nothing to fill. Pick a kind to add another set next to the ones the engine applies.",
  "reason": "everyKindHeld",
  "type": "https://lingo.dev/docs/api/errors/nothing-to-provision",
  "status": 409,
  "title": "Nothing to provision"
}

返回此错误的端点#

  • POST /v2/engines/{engineId}/provisioning/jobs
  • POST /v2/provisioning/jobs/{id}/retry